InstallerEvent (install4j API)
Date: 2010-09-29

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.events
Class InstallerEvent

    java.lang.Object
      java.util.EventObject
          com.install4j.api.events.InstallerEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InstallerDownloadEvent, InstallerFileEvent, InstallerFileInstallationEvent, InstallerVariableEvent

    public class InstallerEvent

extends java.util.EventObject

The event object that is passed to installer event listeners. Event listeners are registered in the `InstallerContext`.

Author:
  ej-technologies GmbH
See Also:
  `InstallerEventListener`, `Context.addInstallerEventListener(InstallerEventListener)`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InstallerEvent(java.lang.Object source, Context context, EventType type)` The constructor is called by the framework.
`InstallerEvent(java.lang.Object source, Context context, EventType type, boolean success)` The constructor is called by the framework.

Method Summary
`Context` | `getContext()` Get the context.
`EventType` | `getType()` Get the type of the event.
`java.lang.String` | `getVerbose()` Return a verbose description of this event.
`java.lang.String` | `toString()`
`boolean` | `wasSuccessful()` Return whether the operation associated with the event was successful

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstallerEvent

    public InstallerEvent(java.lang.Object source,
                          Context context,
                          EventType type,
                          boolean success)

  The constructor is called by the framework.

  Parameters:
    `source` - the event source
    `context` - the context
    `type` - the event type.
    `success` - whether the operation associated with the event was successful

### InstallerEvent

    public InstallerEvent(java.lang.Object source,
                          Context context,
                          EventType type)

  The constructor is called by the framework.

  Parameters:
    `source` - the event source
    `context` - the context
    `type` - the event type.

Method Detail

### getType

    public EventType getType()

  Get the type of the event.

  Returns:
    the type

### getContext

    public Context getContext()

  Get the context.

  Returns:
    the context.

### wasSuccessful

    public boolean wasSuccessful()

  Return whether the operation associated with the event was successful

  Returns:
    `true` or `false`.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`

### getVerbose

    public java.lang.String getVerbose()

  Return a verbose description of this event.

  Returns:
    the description

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD